package cn.com.ty.lift.system.banner.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * banner图管理
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BannerImage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * banner图id
     */
    @TableId("id")
    private Long id;

    /**
     * banner图文件地址
     */
    @TableField("image")
    private String image;

    /**
     * banner图序号
     */
    @TableField("serial_no")
    private Integer serialNo;

    /**
     * 1电梯管家端banner图 2物业端banner图
     */
    @TableField("type")
    private Integer type;

}
